Package: geb.content

## [Groovy] Class ModuleBaseDefinitionDelegate

- geb.content.ModuleBaseDefinitionDelegate

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ModuleBaseDefinitionDelegate (Module module, NavigatorFactory navigatorFactory, Map params)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Navigator` | `$()`
    `` | `Navigator` | `$(int index)`
    `` | `Navigator` | `$(Range<Integer> range)`
    `` | `Navigator` | `$(String selector)`
    `` | `Navigator` | `$(String selector, int index)`
    `` | `Navigator` | `$(String selector, Range<Integer> range)`
    `` | `Navigator` | `$(Map<String, Object> attributes)`
    `` | `Navigator` | `$(Map<String, Object> attributes, int index)`
    `` | `Navigator` | `$(Map<String, Object> attributes, Range<Integer> range)`
    `` | `Navigator` | `$(Map<String, Object> attributes, String selector)`
    `` | `Navigator` | `$(Map<String, Object> attributes, String selector, int index)`
    `` | `Navigator` | `$(Map<String, Object> attributes, String selector, Range<Integer> range)`
    `` | `Navigator` | `$(Map<String, Object> attributes, By bySelector)`
    `` | `Navigator` | `$(Map<String, Object> attributes, By bySelector, int index)`
    `` | `Navigator` | `$(Map<String, Object> attributes, By bySelector, Range<Integer> range)`
    `` | `Navigator` | `$(By bySelector)`
    `` | `Navigator` | `$(By bySelector, int index)`
    `` | `Navigator` | `$(By bySelector, Range<Integer> range)`
    `` | `Navigator` | `$(Navigator[] navigators)`
    `` | `Navigator` | `$(WebElement[] elements)`
    `` | `def` | `propertyMissing(String name)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### ModuleBaseDefinitionDelegate(Module module, NavigatorFactory navigatorFactory, Map params)

  - ### Method Detail

    - #### Navigator $()

    - #### Navigator $(int index)

    - #### Navigator $(Range<Integer> range)

    - #### Navigator $(String selector)

    - #### Navigator $(String selector, int index)

    - #### Navigator $(String selector, Range<Integer> range)

    - #### Navigator $(Map<String, Object> attributes)

    - #### Navigator $(Map<String, Object> attributes, int index)

    - #### Navigator $(Map<String, Object> attributes, Range<Integer> range)

    - #### Navigator $(Map<String, Object> attributes, String selector)

    - #### Navigator $(Map<String, Object> attributes, String selector, int index)

    - #### Navigator $(Map<String, Object> attributes, String selector, Range<Integer> range)

    - #### Navigator $(Map<String, Object> attributes, By bySelector)

    - #### Navigator $(Map<String, Object> attributes, By bySelector, int index)

    - #### Navigator $(Map<String, Object> attributes, By bySelector, Range<Integer> range)

    - #### Navigator $(By bySelector)

    - #### Navigator $(By bySelector, int index)

    - #### Navigator $(By bySelector, Range<Integer> range)

    - #### Navigator $(Navigator[] navigators)

    - #### Navigator $(WebElement[] elements)

    - #### def propertyMissing(String name)